Bug 8092 - Koha should use CHI caching framework
Summary: Koha should use CHI caching framework
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jared Camins-Esakov
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-15 16:28 UTC by Jared Camins-Esakov
Modified: 2013-12-05 20:01 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8092: Convert Koha::Cache to use CHI (10.72 KB, patch)
2012-05-15 17:18 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 8092: Convert Koha::Cache to use CHI (13.55 KB, patch)
2012-05-15 18:56 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 8092: Convert Koha::Cache to use CHI (13.69 KB, patch)
2012-05-20 08:00 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 8092 follow-up: Add optional dependency on CHI (2.89 KB, patch)
2012-05-28 14:08 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 8092: Cheer up Jenkins on loading Cache modules (3.33 KB, patch)
2012-06-09 14:57 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 8092: Cheer up Jenkins on loading Cache modules (3.34 KB, patch)
2012-06-10 12:27 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 8092 follow-up: Fix perlcritic violations (1.09 KB, patch)
2012-06-14 15:45 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2012-05-15 16:28:40 UTC
Rather than directly accessing Memcached, etc., we should use CHI and its already-existing cache drivers.
Comment 1 Jared Camins-Esakov 2012-05-15 16:35:36 UTC
In order to do this, we will need packages for Squeeze for libchi-perl and libchi-driver-memcached-perl, and their dependencies.
Comment 2 Jared Camins-Esakov 2012-05-15 17:18:11 UTC Comment hidden (obsolete)
Comment 3 Jared Camins-Esakov 2012-05-15 18:56:35 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2012-05-20 07:56:12 UTC
Works, but needs follow ups to update the dependencies in all the places that should be done.
Comment 5 Chris Cormack 2012-05-20 08:00:23 UTC Comment hidden (obsolete)
Comment 6 Paul Poulain 2012-05-28 13:42:04 UTC
QA comment: none, except the dependencies are needed, please provide them in a follow-up.
Comment 7 Jared Camins-Esakov 2012-05-28 14:08:15 UTC Comment hidden (obsolete)
Comment 8 Paul Poulain 2012-06-09 11:14:26 UTC
QA comments: looks correct. perlcritic OK.

passed QA
Comment 9 Jared Camins-Esakov 2012-06-09 14:57:25 UTC Comment hidden (obsolete)
Comment 10 Chris Cormack 2012-06-10 12:27:36 UTC Comment hidden (obsolete)
Comment 11 Paul Poulain 2012-06-11 14:56:49 UTC
QA comment: The follow-up intend to remove any error if CHI is not installed (as it's optional). Nothing specific to say, probably the most logical way to do it !
Comment 12 Jared Camins-Esakov 2012-06-14 15:45:48 UTC
Created attachment 10281 [details] [review]
Bug 8092 follow-up: Fix perlcritic violations

Apparently you are not supposed to use "return undef;" or perlcritic
gets mad. Sorry, perlcritic!
Comment 13 Paul Poulain 2012-06-14 15:56:29 UTC
Trivial patch, will push immediately to fix jenkins
Comment 14 Jared Camins-Esakov 2012-12-03 13:30:30 UTC
CHI-based caching is available in Master.